// IntrusionData.h
#pragma once
#include "stdafx.h"

class CIntrusionData
{
public:
	CIntrusionData(void);
	~CIntrusionData(void);

		// fuctions:]
	void SetTestRef(const CString sTstRef);
	void ClearIntrusionData();
	bool ImportIntrusion(CString&, bool bErrMsgResponse = true);
	void WriteIntrusionReport(CStdioFile&);
	bool ExportIntrusion(CString&);
	bool ExportIntrusionReport(CString&);
	bool ValidateEmptyIntrusion();

	int	  CountPipes(CString &strLine);
	CString GetTextBetweenPipes(CString &, int, int);

	CString m_tstno;
	CString m_tstref;
	// data:
	// CVehIntrusion -- BEGIN
	CStringArray	m_nrt_no;
	CStringArray	m_nrt_vehno;
//	CStringArray	m_nrt_point;
	CStringArray	m_nrt_pointno;
	CStringArray	m_nrt_pointloc;
	CStringArray	m_nrt_bix;
	CStringArray	m_nrt_biy;
	CStringArray	m_nrt_biz;
	CStringArray	m_nrt_aix;
	CStringArray	m_nrt_aiy;
	CStringArray	m_nrt_aiz;
	// CVehIntrusion -- END
	
private:
	void  GetIntrPtAndLoc(const CString nrt_pointno, CString& nrt_point, CString& nrt_pointloc);
	const CString OutString(CString& );
	const CString RemoveReturn(const CString st);
	void  WriteIntrusion(CStdioFile &);
	void  ReadIntrusionData(CStdioFile& myFile);
};
