#if !defined(AFX_BIODUMPAGE_H__D1CF0E04_6F35_11D2_9496_0008C7AA9033__INCLUDED_)
#define AFX_BIODUMPAGE_H__D1CF0E04_6F35_11D2_9496_0008C7AA9033__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// BioDumPage.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CBioDumPage dialog

class CBioDumPage : public CPropertyPage
{
	DECLARE_DYNCREATE(CBioDumPage)

// Construction
public:
	CBioDumPage();
	~CBioDumPage();

	void		DisplayBioDumData();
	BOOL		LoadBioDumData();
	CBioData*	m_pBioData;
	void		EnableControls();
	void		SetBusinessRules( );
	bool		ValidateDumPage( );


	

// Dialog Data
	//{{AFX_DATA(CBioDumPage)
	enum { IDD = IDD_BIOMECH_DUMOCC };
	CButton	m_mthcalsearch;
	CButton	m_dumsizsearch;
	CButton	m_dseposnsearch;
	CButton	m_doccsexsearch;
	CButton	m_docclocsearch;
	CNEdit	m_editdoccloc;
	CNEdit	m_editdoccom;
	CNEdit	m_editdoccsex;
	CNEdit	m_editdumdsc;
	CNEdit	m_editdumman;
	CNEdit	m_editdummod;
	CNEdit	m_editdumsiz;
	CNEdit	m_editmthcal;
	CNEdit	m_editdseposn;
	CNEdit	m_editlfem;
	CNEdit	m_editrfem;
	CNEdit	m_editbelt;
	CNEdit	m_editsbelt;
	CNEdit	m_editdcompwt;
	CNEdit	m_editvc;		// float
	CNEdit	m_editcmax;
	CNEdit	m_editnij;	// float
	CNEdit	m_editcti;	// float
	CNEdit	m_edithic;
	CNEdit	m_editt1;	// double
	CNEdit	m_editt2;	// double
	CNEdit	m_editclip3m;	// double
	CNEdit	m_edittti;	// double
	CNEdit	m_editcsi;
	CNEdit	m_editpelvg;	// double
	//}}AFX_DATA


// Overrides
	// ClassWizard generate virtual function overrides
	//{{AFX_VIRTUAL(CBioDumPage)
	public:
	virtual BOOL OnKillActive();
	virtual BOOL OnSetActive();
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	// Generated message map functions
	//{{AFX_MSG(CBioDumPage)
	virtual BOOL OnInitDialog();
	afx_msg void OnDocclocSearch();
	afx_msg void OnDoccsexSearch();
	afx_msg void OnDseposnSearch();
	afx_msg BOOL OnToolTipNotify(UINT, NMHDR *, LRESULT *);
	afx_msg void OnMthcalSearch();
	afx_msg void OnDumsizSearch();
	afx_msg BOOL OnHelpInfo(HELPINFO* pHelpInfo);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()

};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_BIODUMPAGE_H__D1CF0E04_6F35_11D2_9496_0008C7AA9033__INCLUDED_)
