#if !defined(AFX_BIORESTPAGE_H__68BD6B5E_6CDD_11D2_9495_0008C7AA9033__INCLUDED_)
#define AFX_BIORESTPAGE_H__68BD6B5E_6CDD_11D2_9495_0008C7AA9033__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// BioRestPage.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CBioRestPage dialog

class CBioRestPage : public CPropertyPage
{
	DECLARE_DYNCREATE(CBioRestPage)

// Construction
public:
	CBioRestPage();
	~CBioRestPage();

	void	UpdateCurveListbox();
	void	DeleteFirstRest();
	void	InitializeNextRest();
	
	void	DisplayBioRestData();
	BOOL	LoadBioRestData();
	bool	InsertBioRestData();

	bool	ValidateRestPage( );	
	void	SetBusinessRules( );

	int			m_currest;
	CBioData*	m_pBioData;


// Dialog Data
	//{{AFX_DATA(CBioRestPage)
	enum { IDD = IDD_BIOMECH_REST_PAGE };
	CListBox	m_restlist;
	CButton	m_nextsetbutton;
	CButton	m_deletebutton;
	CNEdit	m_editdeploy;
	CNEdit	m_editrstcom;
	CNEdit	m_editrstmnt;
	CNEdit	m_editrstno;
	CNEdit	m_editrsttyp;
	BOOL	m_retaindata;
	//}}AFX_DATA


// Overrides
	// ClassWizard generate virtual function overrides
	//{{AFX_VIRTUAL(CBioRestPage)
	public:
	virtual BOOL OnKillActive();
	virtual BOOL OnSetActive();
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	// Generated message map functions
	//{{AFX_MSG(CBioRestPage)
	afx_msg void OnNextsetButton();
	afx_msg void OnDeleteButton();
	afx_msg void OnDeploySearch();
	afx_msg void OnRsttypSearch();
	afx_msg void OnRstmntSearch();
	virtual BOOL OnInitDialog();
	afx_msg void OnSelchangeRestlist();
	afx_msg BOOL OnHelpInfo(HELPINFO* pHelpInfo);
	afx_msg BOOL OnToolTipNotify(UINT, NMHDR *, LRESULT *);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()

};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_BIORESTPAGE_H__68BD6B5E_6CDD_11D2_9495_0008C7AA9033__INCLUDED_)
