#if !defined(AFX_COMPCONFPAGE_H__6559AE94_69D0_11D2_9494_0008C7AA9033__INCLUDED_)
#define AFX_COMPCONFPAGE_H__6559AE94_69D0_11D2_9494_0008C7AA9033__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// CompConfPage.h : header file
//
#include "compdata.h"

/////////////////////////////////////////////////////////////////////////////
// CCompConfPage dialog

class CCompConfPage : public CPropertyPage
{
	DECLARE_DYNCREATE(CCompConfPage)

// Construction
public:
	CCompConfPage();
	~CCompConfPage();

	void	UpdateCurveListbox();
	void	InitializeNextSet();
	void	DeleteFirstSet();
	void	DisplayCompConfData();
	BOOL	LoadCompConfData();
	bool	InsertCompConfData();
	void	SetBusinessRules( );
	bool	ValidateConfPage( );

	int			m_settot;
	int			m_curset;
	CCompData* m_pCompData;
	

// Dialog Data
	//{{AFX_DATA(CCompConfPage)
	enum { IDD = IDD_COMP_CONF_PAGE };
	CListBox	m_conflist;
	CButton	m_previoussetbutton;
	CButton	m_nextsetbutton;
	CButton	m_lastsetbutton;
	CButton	m_firstsetbutton;
	CButton	m_deletebutton;
	CEdit	m_settotedit;
	CEdit	m_cursetedit;
	CNEdit	m_editcfncom;
	CNEdit	m_editcntcom;
	CNEdit	m_editconfig;
	CNEdit	m_editdevcom;
	CNEdit	m_edittstdev;
	BOOL	m_retaindata;
	CNEdit	m_editvehno;
	CNEdit	m_editcmpno;
	CNEdit	m_editcnfno;
	CNEdit	m_editdevspd;
	CNEdit	m_editcmpspd;
	CNEdit	m_editcntang;
	CNEdit	m_editcntloc1;
	CNEdit	m_editcntloc2;
	//}}AFX_DATA


// Overrides
	// ClassWizard generate virtual function overrides
	//{{AFX_VIRTUAL(CCompConfPage)
	public:
	virtual BOOL OnKillActive();
	virtual BOOL OnSetActive();
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	// Generated message map functions
	//{{AFX_MSG(CCompConfPage)
	virtual BOOL OnInitDialog();
	afx_msg void OnTstdevsearch();
	afx_msg void OnConfigsearch();
	afx_msg void OnDeleteButton();
	afx_msg BOOL OnToolTipNotify(UINT, NMHDR *, LRESULT *);
	afx_msg void OnNextsetButton();
	afx_msg void OnSelchangeConflist();
	afx_msg BOOL OnHelpInfo(HELPINFO* pHelpInfo);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()

};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_COMPCONFPAGE_H__6559AE94_69D0_11D2_9494_0008C7AA9033__INCLUDED_)
