#if !defined(AFX_COMPINSTPAGE_H__6559AE95_69D0_11D2_9494_0008C7AA9033__INCLUDED_)
#define AFX_COMPINSTPAGE_H__6559AE95_69D0_11D2_9494_0008C7AA9033__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// CompInstPage.h : header file
//

#include "compdata.h"

/////////////////////////////////////////////////////////////////////////////
// CCompInstPage dialog

class CCompInstPage : public CPropertyPage
{
	DECLARE_DYNCREATE(CCompInstPage)

// Construction
public:
	CCompInstPage();
	~CCompInstPage();

	void	UpdateCurveListbox();
	void	InitializeNextCurve();
	void	DisplayCompInstData();
	bool	LoadCompInstData();
	bool	InsertCompInstData();
	void	SetBusinessRules( );
	bool	ValidateInstPage( );

	int			m_totalcurves;
	int			m_icurno;
	CCompData*	m_pCompData;

// Dialog Data
	//{{AFX_DATA(CCompInstPage)
	enum { IDD = IDD_COMP_INST_PAGE };
	CListBox	m_curvelist;
	CDateTimeCtrl	m_caldatctrl;
	CButton	m_previouscurvebutton;
	CButton	m_nextcurvebutton;
	CButton	m_lastcurvebutton;
	CButton	m_firstcurvebutton;
	CButton	m_deletebutton;
	CNEdit	m_editinstdate;
	CNEdit	m_editaxis;
	CNEdit	m_editchstat;
	CNEdit	m_editcurno;
	CNEdit	m_editdastat;
	CNEdit	m_editinscom;
	CNEdit	m_editinsman;
	CNEdit	m_editsenatt;
	CNEdit	m_editsentyp;
	CNEdit	m_editxunits;
	CNEdit	m_edityunits;
	BOOL	m_retaindata;
	CNEdit	m_editcmpno;
	CNEdit	m_editcnfno;
	CNEdit	m_editvehno;
	CNEdit	m_editinsrat;
	CNEdit	m_editchlmax;
	CNEdit	m_editinivel;
	CNEdit	m_editnfp;
	CNEdit	m_editnlp;
	CNEdit	m_editdelt;
	CNEdit	m_editprefil;
	//}}AFX_DATA


// Overrides
	// ClassWizard generate virtual function overrides
	//{{AFX_VIRTUAL(CCompInstPage)
	public:
	virtual BOOL OnKillActive();
	virtual BOOL OnSetActive();
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	// Generated message map functions
	//{{AFX_MSG(CCompInstPage)
	virtual BOOL OnInitDialog();
	afx_msg void OnNextcurveButton();
	afx_msg void OnDeleteButton();
	afx_msg void OnSentypSearch();
	afx_msg void OnSenattSearch();
	afx_msg void OnAxisSearch();
	afx_msg void OnXUnitsSearch();
	afx_msg void OnDastatSearch();
	afx_msg void OnChstatSearch();
	afx_msg BOOL OnToolTipNotify(UINT, NMHDR *, LRESULT *);
	afx_msg void OnYUnitsSearch();
	afx_msg void OnSelchangeCurvelist();
	afx_msg BOOL OnHelpInfo(HELPINFO* pHelpInfo);
	afx_msg void OnDatetimechangeCompinstCaldat(NMHDR* pNMHDR, LRESULT* pResult);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()

};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_COMPINSTPAGE_H__6559AE95_69D0_11D2_9494_0008C7AA9033__INCLUDED_)
