#if !defined(AFX_COMPVEHPAGE_H__6559AE96_69D0_11D2_9494_0008C7AA9033__INCLUDED_)
#define AFX_COMPVEHPAGE_H__6559AE96_69D0_11D2_9494_0008C7AA9033__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// CompVehPage.h : header file
//
#include "compdata.h"

/////////////////////////////////////////////////////////////////////////////
// CCompVehPage dialog

class CCompVehPage : public CPropertyPage
{
	DECLARE_DYNCREATE(CCompVehPage)

// Construction
public:
	CCompVehPage();
	~CCompVehPage();

	BOOL	LoadCompVehData();
	void	DisplayCompVehData();
	void	SetBusinessRules( );
	bool	ValidateVehPage( );
	bool	ValidateSpinControl();

	CCompData * m_pCompData;

// Dialog Data
	//{{AFX_DATA(CCompVehPage)
	enum { IDD = IDD_COMP_VEH_PAGE };
	CSpinButtonCtrl	m_vehnospin;
	CNEdit	m_editbody;
	CNEdit	m_editcrtest;
	CNEdit	m_editmake;
	CNEdit	m_editmodel;
	CNEdit	m_editnhtsano;
	CNEdit	m_editvehcom;
	CNEdit	m_editvehno;
	CNEdit	m_editvin;
	CNEdit	m_edityear;
	//}}AFX_DATA


// Overrides
	// ClassWizard generate virtual function overrides
	//{{AFX_VIRTUAL(CCompVehPage)
	public:
	virtual BOOL OnKillActive();
	virtual BOOL OnSetActive();
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	// Generated message map functions
	//{{AFX_MSG(CCompVehPage)
	afx_msg void OnCompvehmakeSearch();
	afx_msg BOOL OnToolTipNotify(UINT, NMHDR *, LRESULT *);
	afx_msg void OnCompvehmodelSeach();
	afx_msg void OnCompvehbodySearch();
	afx_msg void OnDeltaposVehnospin(NMHDR* pNMHDR, LRESULT* pResult);
	virtual BOOL OnInitDialog();
	afx_msg void OnCompcrtestSearch();
	afx_msg BOOL OnHelpInfo(HELPINFO* pHelpInfo);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()

};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_COMPVEHPAGE_H__6559AE96_69D0_11D2_9494_0008C7AA9033__INCLUDED_)
