#if !defined(AFX_SWGINSTPAGE_H__4ECA8EE4_592E_11D2_9493_0008C7AA9033__INCLUDED_)
#define AFX_SWGINSTPAGE_H__4ECA8EE4_592E_11D2_9493_0008C7AA9033__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "SWGData.h"
#include "EditEx.h"
// SWGInstPage.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CSWGInstPage dialog

class CSWGInstPage : public CPropertyPage
{
	DECLARE_DYNCREATE(CSWGInstPage)

// Construction
public:
	bool ValidatePage( void );
	void SetBusinessRules( void );

	CSWGInstPage();
	~CSWGInstPage();

// Dialog Data
	//{{AFX_DATA(CSWGInstPage)
	enum { IDD = IDD_SWG_INST_PAGE };
	CListBox	m_curvelist;
	CButton	m_nextrecordbutton;
	CButton	m_deletecurvebutton;
	CNEdit	m_axis;
	CNEdit	m_chstat;
	CNEdit	m_dastat;
	CNEdit	m_inscom;
	CNEdit	m_senatt;
	CNEdit	m_senloc;
	CNEdit	m_sentyp;
	CNEdit	m_sigsrc;
	CNEdit	m_tstno;
	CNEdit	m_xunits;
	CNEdit	m_yunits;
	BOOL	m_retaindata;
	CNEdit	m_siglev;
	CNEdit	m_prefil;
	CNEdit	m_insrat;
	CNEdit	m_chlmax;
	CNEdit	m_nfp;
	CNEdit	m_nlp;
	CNEdit	m_delt;
	//}}AFX_DATA
// members
public:
	void	InitializeNextCurve();

	void	DisplaySWGInstData();
	BOOL	LoadSWGInstData();
	bool	InsertSWGInstData();

	int			m_icurno;
	int			m_totalcurves;
	CSWGData*	m_pSWGData;

// Overrides
	// ClassWizard generate virtual function overrides
	//{{AFX_VIRTUAL(CSWGInstPage)
	public:
	virtual BOOL OnKillActive();
	virtual BOOL OnSetActive();
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
public:
	void UpdateCurveListbox();
	// Generated message map functions
	//{{AFX_MSG(CSWGInstPage)
	virtual BOOL OnInitDialog();
	afx_msg BOOL OnToolTipNotify(UINT, NMHDR *, LRESULT *);
	afx_msg void OnNextrecord();
	afx_msg void OnSwgsigsrcsearch();
	afx_msg void OnSwgsentypsearch();
	afx_msg void OnSwgsenlocsearch();
	afx_msg void OnSwgsenattsearch();
	afx_msg void OnSwgaxissearch();
	afx_msg void OnSwgxunitssearch();
	afx_msg void OnSwgyunitssearch();
	afx_msg void OnSwgdastatsearch();
	afx_msg void OnSwgchstatsearch();
	afx_msg void OnDeletecurve();
	afx_msg void OnSelchangeCurvelist();
	afx_msg BOOL OnHelpInfo(HELPINFO* pHelpInfo);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()

};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_SWGINSTPAGE_H__4ECA8EE4_592E_11D2_9493_0008C7AA9033__INCLUDED_)
