#if !defined(AFX_SWGTESTPAGE_H__4ECA8EE3_592E_11D2_9493_0008C7AA9033__INCLUDED_)
#define AFX_SWGTESTPAGE_H__4ECA8EE3_592E_11D2_9493_0008C7AA9033__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "SWGData.h"
#include "EditEx.h"

// SWGTestPage.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CSWGTestPage dialog

class CSWGTestPage : public CPropertyPage
{
	DECLARE_DYNCREATE(CSWGTestPage)

// Construction
public:
	BOOL LoadSWGTestData();
	void DisplaySWGTestData();
	bool ValidatePage( void );
	void SetBusinessRules( void );

	CSWGTestPage();
	~CSWGTestPage();

// Dialog Data
	//{{AFX_DATA(CSWGTestPage)
	enum { IDD = IDD_SWG_TEST_PAGE };
	CNEdit	m_edittestdate;
	CNEdit	m_editcertdate;
	CDateTimeCtrl	m_cerdatctrl;
	CDateTimeCtrl	m_tstdatctrl;
	CNEdit	m_link;
	CNEdit	m_rectyp;
	CNEdit	m_tstprf;
	CNEdit	m_tsttyp;
	CNEdit	m_conno;
	CNEdit	m_swgno;
	CNEdit	m_title;
	CNEdit	m_totcrv;
	CNEdit	m_tstcom;
	CNEdit	m_tstobj;
	CNEdit	m_tstref;
	CNEdit	m_verno;
	CNEdit	m_temp;
	//}}AFX_DATA
// members
	CSWGData* m_pSWGData;

// Overrides
	// ClassWizard generate virtual function overrides
	//{{AFX_VIRTUAL(CSWGTestPage)
	public:
	virtual BOOL OnKillActive();
	virtual BOOL OnSetActive();
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	// Generated message map functions
	//{{AFX_MSG(CSWGTestPage)
	virtual BOOL OnInitDialog();
	afx_msg void OnSwgtsttypsearch();
	afx_msg void OnSwgtstprfsearch();
	afx_msg void OnSwgrectypsearch();
	afx_msg void OnSwglinksearch();
	afx_msg BOOL OnHelpInfo(HELPINFO* pHelpInfo);
	afx_msg BOOL OnToolTipNotify(UINT, NMHDR *, LRESULT *);
	afx_msg void OnDatetimechangeSwgtestcerdat(NMHDR* pNMHDR, LRESULT* pResult);
	afx_msg void OnDatetimechangeSwgtesttstdat(NMHDR* pNMHDR, LRESULT* pResult);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()

};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_SWGTESTPAGE_H__4ECA8EE3_592E_11D2_9493_0008C7AA9033__INCLUDED_)
