// ---------------------
// Copyright 1998, Data Center, NRD of DOT
// 
// File: VehGR5.cpp
// 
// Author: Dan Robbins
// 
// Data Created: Dec 15, 1998
//
// Description:	CVehGR5 constructor.  
//
// ----------------------

#include "stdafx.h"
#include "entreeV5.h"
#include "VehGR5.h"

#ifdef _DEBUG
#undef THIS_FILE
static char THIS_FILE[]=__FILE__;
#define new DEBUG_NEW
#endif

//////////////////////////////////////////////////////////////////////
// Construction/Destruction
//////////////////////////////////////////////////////////////////////

/******************************************************************************

	Name:		

	Action:		

	Params:		

	Returns:	

	Notes:	

	Dates:

******************************************************************************/
CVehGR5::CVehGR5()
{
	
	 m_vehnooff = 1;
	 m_vehnolen = 1;

	 m_curnooff = 2;
	 m_curnolen = 3;

	 m_sentypoff = 5;
	 m_sentyplen = 2;

	 m_senlocoff = 7;
	 m_senloclen = 2;

	 m_senattoff = 9;
	 m_senattlen = 4;

	 m_axisoff = 13;
	 m_axislen = 2;

	 m_unitsoff = 15;
	 m_unitslen = 3;//dont forget both units

	 m_prefiloff = 18;
	 m_prefillen = 5;

	 m_insmanoff = 23;
	 m_insmanlen = 70;

	 m_caldatoff = 93;
	 m_caldatlen = 9;

	 m_insratoff = 102;
	 m_insratlen = 5;

	 m_chlmaxoff = 107;
	 m_chlmaxlen = 3;

	 m_iniveloff = 110;
	 m_inivellen = 5;

	 m_nfpoff = 115;
	 m_nfplen = 5;

	 m_nlpoff = 120;
	 m_nlplen = 5;

	 m_deltoff = 125;
	 m_deltlen = 6;
	
	 m_dastatoff = 131;
	 m_dastatlen = 2;

	 m_inscomoff = 133;
	 m_inscomlen = 70;

	 m_totallen = 203;
}

/******************************************************************************

	Name:		

	Action:		

	Params:		

	Returns:	

	Notes:	

	Dates:

******************************************************************************/
CVehGR5::~CVehGR5()
{

}
