#if !defined(AFX_VEHVEHPAGE_H__02781736_6367_11D2_9493_0008C7AA9033__INCLUDED_)
#define AFX_VEHVEHPAGE_H__02781736_6367_11D2_9493_0008C7AA9033__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "VehData.h"
#include "EditEx.h"
// VehVehPage.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CVehVehPage dialog

class CVehVehPage : public CPropertyPage
{
	DECLARE_DYNCREATE(CVehVehPage)

// Construction
public:
	BOOL EnableControls();
	BOOL StartEnableControls();
	
	void DisplayVehVehData();
	BOOL LoadVehVehData();
	bool ValidatePage( void );
	void SetBusinessRules( void );
	bool PretestButton( void );
	bool PosttestButton( void );
	bool DamageprofButton( void );
	void EnableButtons( BOOL );
	int CheckTestConfiguration( void );

	bool ValidateSpinControl( void );

	bool bPretest;
	bool bPosttest;
	bool bDamamge;


	CVehData * m_pVehData;
	CVehVehPage();
	~CVehVehPage();

// Dialog Data
	//{{AFX_DATA(CVehVehPage)
	enum { IDD = IDD_VEH_VEH_PAGE };
	CButton	m_btnDamageProf;
	CButton	m_btnPostTest;
	CButton	m_btnPreTest;
	CNEdit	m_editProTest;
	CNEdit	m_editPreTest;
	CNEdit	m_editDamage;
	CSpinButtonCtrl	m_vehnospin;
	CNEdit	m_apleng;
	CNEdit	m_bmpeng;
	CNEdit	m_body;
	CNEdit	m_colmec;
	CNEdit	m_engine;
	CNEdit	m_make;
	CNEdit	m_moddsc;
	CNEdit	m_model;
	CNEdit	m_modind;
	CNEdit	m_nhtsano;
	CNEdit	m_sileng;
	CNEdit	m_strsep;
	CNEdit	m_transm;
	CNEdit	m_vdi;
	CNEdit	m_vehcom;
	CNEdit	m_vehno;
	CNEdit	m_vin;
	CNEdit	m_engdsp;
	CNEdit	m_vehtwt;
	CNEdit	m_whlbas;
	CNEdit	m_vehlen;
	CNEdit	m_vehwid;
	CNEdit	m_vehcg;
	CNEdit	m_damdst;
	CNEdit	m_crhdst;
	CNEdit	m_year;
	CNEdit	m_vehspd;
	CNEdit	m_crbang;
	CNEdit	m_pdof;
	CNEdit	m_carang;
	CNEdit	m_vehor;
	CNEdit	m_lencnt;
	//}}AFX_DATA


// Overrides
	// ClassWizard generate virtual function overrides
	//{{AFX_VIRTUAL(CVehVehPage)
	public:
	virtual BOOL OnKillActive();
	virtual BOOL OnSetActive();
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	// Generated message map functions
	//{{AFX_MSG(CVehVehPage)
	afx_msg BOOL OnToolTipNotify(UINT, NMHDR *, LRESULT *);
	afx_msg void OnMakesearch();
	afx_msg void OnModelsearch();
	afx_msg void OnBodysearch();
	afx_msg void OnEnginesearch();
	afx_msg void OnTransmsearch();
	afx_msg void OnColmecsearch();
	afx_msg void OnModindsearch();
	afx_msg void OnSilengsearch();
	afx_msg void OnAplengsearch();
	afx_msg void OnBmpengsearch();
	afx_msg void OnPretestButton();
	afx_msg void OnPosttestButton();
	afx_msg void OnDamageprofButton();
	afx_msg void OnStrsepsearch();
	virtual BOOL OnInitDialog();
	afx_msg void OnDeltaposVehnospin(NMHDR* pNMHDR, LRESULT* pResult);
	afx_msg BOOL OnHelpInfo(HELPINFO* pHelpInfo);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()

};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_VEHVEHPAGE_H__02781736_6367_11D2_9493_0008C7AA9033__INCLUDED_)
