// CHighSpeedVideoData.h

#pragma once

#include "stdafx.h"
//#include "entreeV5.h"

class CHighSpeedVideoData
{
public:
	CHighSpeedVideoData();
	~CHighSpeedVideoData();

	// fuctions:
	void ClearHsvddata();
	bool ImportHsvd(CString&, bool bErrMsgResponse = true);
	void WriteHsvdReport(CStdioFile&);
	bool ExportHsvd(CString&);
	bool ExportHsvdReport(CString&);
	bool ValidateEmptyHsvd();

	int	  CountPipes(CString &strLine);
	const CString GetTextBetweenPipes(CString &, const int, const int);

	CString m_tstref;	// used in Test data of CVehData 
	// data:
	CStringArray	m_camno;	// used as record index
	CStringArray	m_camerano;
	CStringArray	m_vscfactor;
	CStringArray	m_desc;
	CStringArray	m_comment;
	
private:
	const CString OutString(CString& );
	const CString RemoveReturn(const CString st);
	void  WriteHsvd(CStdioFile &);
	void  ReadHsvdData(CStdioFile& myFile);
	
};
