#if !defined(AFX_BIOANTHPAGE_H__815D5A63_6DA8_11D2_9495_0008C7AA9033__INCLUDED_)
#define AFX_BIOANTHPAGE_H__815D5A63_6DA8_11D2_9495_0008C7AA9033__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// BioAnthPage.h : header file
//

#include "EditEx.h"
/////////////////////////////////////////////////////////////////////////////
// CBioAnthPage dialog

class CBioAnthPage : public CPropertyPage
{
	DECLARE_DYNCREATE(CBioAnthPage)

// Construction
public:
	void DisplayBioAnthData();
	BOOL LoadBioAnthData();
	bool ValidateAnthPage( void );
	void SetBusinessRules( void );
	void EnableControls();

	CBioData* m_pBioData;
	CBioAnthPage();
	~CBioAnthPage();

// Dialog Data
	//{{AFX_DATA(CBioAnthPage)
	enum { IDD = IDD_BIOMECH_ANTH_PAGE };
	CNEdit		m_editanklcr;
	CNEdit		m_editwrstcr;
	CNEdit		m_editanklht;
	CNEdit		m_editbicpcr;
	CNEdit		m_editbuttcr;
	CNEdit		m_editbuttdp;
	CNEdit		m_editcalfcr;
	CNEdit		m_editchstbd;
	CNEdit		m_editchstcr;
	CNEdit		m_editchstdp;
	CNEdit		m_editelbwcr;
	CNEdit		m_editfarmcr;
	CNEdit		m_editfarmhd;
	CNEdit		m_editfootbd;
	CNEdit		m_editfootln;
	CNEdit		m_edithdtroc;
	CNEdit		m_editheadbd;
	CNEdit		m_editheadch;
	CNEdit		m_editheadln;
	CNEdit		m_edithipbd;
	CNEdit		m_editinscye;
	CNEdit		m_editkneecr;
	CNEdit		m_editkneeht;
	CNEdit		m_editltghcr;
	CNEdit		m_editneckcr;
	CNEdit		m_editscyecr;
	CNEdit		m_editseatht;
	CNEdit		m_editshldbd;
	CNEdit		m_editshldel;
	CNEdit		m_editshldht;
	CNEdit		m_editstatur;
	CNEdit		m_editthghcr;
	CNEdit		m_edittiblht;
	CNEdit		m_editvrtsym;
	CNEdit		m_editwastbd;
	CNEdit		m_editwastcr;
	CNEdit		m_editwastdp;
	CNEdit		m_editwastht;
	//}}AFX_DATA


// Overrides
	// ClassWizard generate virtual function overrides
	//{{AFX_VIRTUAL(CBioAnthPage)
	public:
	virtual BOOL OnKillActive();
	virtual BOOL OnSetActive();
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	// Generated message map functions
	//{{AFX_MSG(CBioAnthPage)
	afx_msg BOOL OnToolTipNotify(UINT, NMHDR *, LRESULT *);
	virtual BOOL OnInitDialog();
	afx_msg BOOL OnHelpInfo(HELPINFO* pHelpInfo);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()

};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_BIOANTHPAGE_H__815D5A63_6DA8_11D2_9495_0008C7AA9033__INCLUDED_)
