#if !defined(AFX_BIOGAUGEPAGE_H__04C36507_7325_11D2_9496_0008C7AA9033__INCLUDED_)
#define AFX_BIOGAUGEPAGE_H__04C36507_7325_11D2_9496_0008C7AA9033__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// BioGaugePage.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CBioGaugePage dialog

class CBioGaugePage : public CPropertyPage
{
	DECLARE_DYNCREATE(CBioGaugePage)

// Construction
public:
	CBioGaugePage();
	~CBioGaugePage();

	void	UpdateCurveListbox();
	void	InitializeNextSet();	
	void	DisplayBioGaugeData();
	BOOL	LoadBioGaugeData();
	bool	InsertBioGaugeData();

	bool	ValidateGaugePage( );
	void	SetBusinessRules( );

	int m_settot;
	int m_curset;
	CBioData*	m_pBioData;

// Dialog Data
	//{{AFX_DATA(CBioGaugePage)
	enum { IDD = IDD_BIOMECH_GAUGE_PAGE };
	CListBox	m_gaugelist;
	CButton	m_nextsetbutton;
	CButton	m_deletebutton;
	BOOL	m_retaindata;

	CNEdit	m_editgagcom;
	CNEdit	m_editbandno;
	CNEdit	m_editgageno;
	CNEdit	m_editgagdis;
	CNEdit	m_editcurno;
	//}}AFX_DATA


// Overrides
	// ClassWizard generate virtual function overrides
	//{{AFX_VIRTUAL(CBioGaugePage)
	public:
	virtual BOOL OnKillActive();
	virtual BOOL OnSetActive();
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	// Generated message map functions
	//{{AFX_MSG(CBioGaugePage)
	virtual BOOL OnInitDialog();
	afx_msg void OnNextsetButton();
	afx_msg void OnDeleteButton();
	afx_msg void OnSelchangeGaugelist();
	afx_msg BOOL OnToolTipNotify(UINT, NMHDR *, LRESULT *);
	afx_msg BOOL OnHelpInfo(HELPINFO* pHelpInfo);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()

};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_BIOGAUGEPAGE_H__04C36507_7325_11D2_9496_0008C7AA9033__INCLUDED_)
