// -----------------------------------------
// Copyright 1998, Data Center, NRD of DOT
// File: BioGRY.cpp
//
// Author: Dan Robbins
//
// Date Created: October, 1998
//
// Description: CBioGRY constructor.  All this class does is
//              hold the offsets and lengths used for parsing data out of
//              a GRY file.
// -----------------------------------------
#include "stdafx.h"
#include "entreeV5.h"
#include "BioGRY.h"

#ifdef _DEBUG
#undef THIS_FILE
static char THIS_FILE[]=__FILE__;
#define new DEBUG_NEW
#endif

//////////////////////////////////////////////////////////////////////
// Construction/Destruction
//////////////////////////////////////////////////////////////////////

CBioGRY::CBioGRY()
{
	
	 m_bandnooff = 1;
	 m_bandnolen = 2;
	
	 m_gagnooff = 3;
	 m_gagnolen = 2;

	 m_gagdisoff = 5;
	 m_gagdislen = 5;

	 m_curnooff = 10;
	 m_curnolen = 3;

	 m_totallen = 13;

}

CBioGRY::~CBioGRY()
{

}
