#if !defined(AFX_BIOINJPAGE_H__815D5A64_6DA8_11D2_9495_0008C7AA9033__INCLUDED_)
#define AFX_BIOINJPAGE_H__815D5A64_6DA8_11D2_9495_0008C7AA9033__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// BioInjPage.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CBioInjPage dialog

class CBioInjPage : public CPropertyPage
{
	DECLARE_DYNCREATE(CBioInjPage)

// Construction
public:
	CBioInjPage();
	~CBioInjPage();

	void	UpdateCurveListbox();
	void	InitializeNextInj();	
	BOOL	LoadBioInjData();
	bool	InsertBioInjData();
	void	DisplayBioInjData();
	bool	ValidateInjPage();
	void	SetBusinessRules();
	void	EnableControls();

	int		m_curinj;
	CBioData* m_pBioData;


// Dialog Data
	//{{AFX_DATA(CBioInjPage)
	enum { IDD = IDD_BIOMECH_INJ_PAGE };
	CListBox	m_injlist;
	CButton	m_nextsetbutton;
	CButton	m_deletebutton;

	CNEdit	m_editais;
	CNEdit	m_editaspect;
	CNEdit	m_editbodyrg;
	CNEdit	m_editinjcom;
	CNEdit	m_editlesion;
	CNEdit	m_editsysorg;
	BOOL	m_retaindata;
	CNEdit	m_editais90;
	//}}AFX_DATA


// Overrides
	// ClassWizard generate virtual function overrides
	//{{AFX_VIRTUAL(CBioInjPage)
	public:
	virtual BOOL OnKillActive();
	virtual BOOL OnSetActive();
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	// Generated message map functions
	//{{AFX_MSG(CBioInjPage)
	afx_msg void OnLesionSearch();
	afx_msg void OnSysorgSearch();
	afx_msg void OnBodyrgSearch();
	afx_msg void OnAspectSearch();
	afx_msg void OnAisSearch();
	virtual BOOL OnInitDialog();
	afx_msg void OnNextsetButton();
	afx_msg void OnDeleteButton();
	afx_msg void OnSelchangeInjlist();
	afx_msg BOOL OnHelpInfo(HELPINFO* pHelpInfo);
	afx_msg BOOL OnToolTipNotify(UINT, NMHDR *, LRESULT *);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()

};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_BIOINJPAGE_H__815D5A64_6DA8_11D2_9495_0008C7AA9033__INCLUDED_)
