#if !defined(AFX_BIOMECHTESTPAGE_H__4ECA8EEF_592E_11D2_9493_0008C7AA9033__INCLUDED_)
#define AFX_BIOMECHTESTPAGE_H__4ECA8EEF_592E_11D2_9493_0008C7AA9033__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "BioData.h"
// BioMechTestPage.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CBioMechTestPage dialog

class CBioMechTestPage : public CPropertyPage
{
	DECLARE_DYNCREATE(CBioMechTestPage)

// Construction
public:
	CBioMechTestPage();
	~CBioMechTestPage();

	void	DisplayBioTestData();
	BOOL	LoadBioTestData();
	bool	ValidateTestPage( void );
	void	SetBusinessRules( void );

	CBioData* m_pBioData;

// Dialog Data
	//{{AFX_DATA(CBioMechTestPage)
	enum { IDD = IDD_BIOMECH_TEST_PAGE };
	CNEdit	m_edittestdate;
	CDateTimeCtrl	m_tstdatctrl;
	CNEdit	m_editconno;
	CNEdit	m_editlink;
	CNEdit	m_editrectyp;
	CNEdit	m_edittitle;
	CNEdit	m_edittstcfn;
	CNEdit	m_edittstcom;
	CNEdit	m_edittstobj;
	CNEdit	m_edittstprf;
	CNEdit	m_edittstref;
	CNEdit	m_editverno;
	CNEdit	m_edittemp;
	CNEdit	m_editimpang;
	CNEdit	m_editclsspd;
	CNEdit	m_edittotcrv;
	CNEdit	m_editocctyp;
	//}}AFX_DATA


// Overrides
	// ClassWizard generate virtual function overrides
	//{{AFX_VIRTUAL(CBioMechTestPage)
	public:
	virtual BOOL OnKillActive();
	virtual BOOL OnSetActive();
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	// Generated message map functions
	//{{AFX_MSG(CBioMechTestPage)
	virtual BOOL OnInitDialog();
	afx_msg void OnTstprfSearch();
	afx_msg void OnTstcfnSearch();
	afx_msg void OnRectypSearch();
	afx_msg void OnLinkSearch();
	afx_msg void OnOcctypSearch();
	afx_msg BOOL OnHelpInfo(HELPINFO* pHelpInfo);
	afx_msg BOOL OnToolTipNotify(UINT, NMHDR *, LRESULT *);
	afx_msg void OnDatetimechangeBiotesttstdat(NMHDR* pNMHDR, LRESULT* pResult);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()

};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_BIOMECHTESTPAGE_H__4ECA8EEF_592E_11D2_9493_0008C7AA9033__INCLUDED_)
