#if !defined(AFX_BIOOCCPAGE_H__D1CF0E08_6F35_11D2_9496_0008C7AA9033__INCLUDED_)
#define AFX_BIOOCCPAGE_H__D1CF0E08_6F35_11D2_9496_0008C7AA9033__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// BioOccPage.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CBioOccPage dialog

class CBioOccPage : public CPropertyPage
{
	DECLARE_DYNCREATE(CBioOccPage)

// Construction
public:
//	void PopulatePressureBoxes();
	void EnableControls();
	void DisplayBioOccData();
	BOOL LoadBioOccData();
	bool ValidateOccPage( );
	void SetBusinessRules( );

	CBioOccPage();
	~CBioOccPage();

	CBioData* m_pBioData;

// Dialog Data
	//{{AFX_DATA(CBioOccPage)
	enum { IDD = IDD_BIOMECH_BIOOCC };
	CButton m_pulpresearch;
	CButton	m_cerpresearch;
	CButton	m_aorpresearch;
	CButton	m_seposnsearch;
	CButton	m_occsexsearch;
	CButton	m_occlocsearch;
	CDateTimeCtrl	m_dtedthctrl;
	CNEdit	m_editoccdate;
	CNEdit	m_editbmccom;
	CNEdit	m_editbmcloc;
	CNEdit	m_editbmcmethod;
	CNEdit	m_editbmcunits;
	CNEdit	m_editcadan;
	CNEdit	m_editcadapp;
	CNEdit	m_editcsedth;
	CNEdit	m_editocccom;
	CNEdit	m_editoccloc;
	CNEdit	m_editoccref;
	CNEdit	m_editoccsex;
	CNEdit	m_editseposn;
	CNEdit	m_editoccage;
	CNEdit	m_editoccwt;
	CNEdit	m_editfrctrb;
	CNEdit	m_editrbfrct;
	CNEdit	m_editnotest;
	CNEdit	m_editbedcon;
	CNEdit	m_editbmc;
	CNEdit	m_editbcompwt;
	CNEdit	m_editaorpre;
	CNEdit	m_editcerpre;
	CNEdit	m_editpulpre;
	//}}AFX_DATA


// Overrides
	// ClassWizard generate virtual function overrides
	//{{AFX_VIRTUAL(CBioOccPage)
	public:
	virtual BOOL OnKillActive();
	virtual BOOL OnSetActive();
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	// Generated message map functions
	//{{AFX_MSG(CBioOccPage)
	virtual BOOL OnInitDialog();
	afx_msg void OnOcclocSearch();
	afx_msg void OnOccsexSearch();
	afx_msg void OnSeposnSearch();
	afx_msg BOOL OnHelpInfo(HELPINFO* pHelpInfo);
	afx_msg BOOL OnToolTipNotify(UINT, NMHDR *, LRESULT *);
	afx_msg void OnBmcunitsSearch();
	afx_msg void OnBmclocSearch();
	afx_msg void OnBmcmethodSearch();
	afx_msg void OnDatetimechangeBiooccdtedth(NMHDR* pNMHDR, LRESULT* pResult);
	afx_msg void OnPulpreSearch();
	afx_msg void OnCerpreSearch();
	afx_msg void OnAorpreSearch();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()

};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_BIOOCCPAGE_H__D1CF0E08_6F35_11D2_9496_0008C7AA9033__INCLUDED_)
