#if !defined(AFX_BIORIBPAGE_H__04C36508_7325_11D2_9496_0008C7AA9033__INCLUDED_)
#define AFX_BIORIBPAGE_H__04C36508_7325_11D2_9496_0008C7AA9033__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// BioRibPage.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CBioRibPage dialog

class CBioRibPage : public CPropertyPage
{
	DECLARE_DYNCREATE(CBioRibPage)

// Construction
public:
	CBioRibPage();
	~CBioRibPage();

	void	UpdateCurveListbox();
	void	InitializeNextRib();
	
	void	DisplayBioRibData();
	BOOL	LoadBioRibData();
	bool	InsertBioRibData();

	bool	ValidateRibPage( );
	void	SetBusinessRules( );

	void	EnableControls();

	int			m_currib;
	CBioData*	m_pBioData;


// Dialog Data
	//{{AFX_DATA(CBioRibPage)
	enum { IDD = IDD_BIOMECH_RIB_PAGE };
	CListBox	m_riblist;
	CButton	m_nextsetbutton;
	CButton	m_deletebutton;
	CNEdit	m_editribloc;
	BOOL	m_retaindata;
	CNEdit	m_editdefl;
	CNEdit	m_editload;
	CNEdit	m_editbrkld;
	CNEdit	m_editarmar;
	CNEdit	m_editrarea;
	CNEdit	m_editribin;
	CNEdit	m_editnadis;
	CNEdit	m_editsplen;
	//}}AFX_DATA


// Overrides
	// ClassWizard generate virtual function overrides
	//{{AFX_VIRTUAL(CBioRibPage)
	public:
	virtual BOOL OnKillActive();
	virtual BOOL OnSetActive();
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	// Generated message map functions
	//{{AFX_MSG(CBioRibPage)
	virtual BOOL OnInitDialog();
	afx_msg void OnNextsetButton();
	afx_msg void OnDeleteButton();
	afx_msg void OnSelchangeRiblist();
	afx_msg BOOL OnHelpInfo(HELPINFO* pHelpInfo);
	afx_msg BOOL OnToolTipNotify(UINT, NMHDR *, LRESULT *);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()

};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_BIORIBPAGE_H__04C36508_7325_11D2_9496_0008C7AA9033__INCLUDED_)
