#if !defined(AFX_COMPCOMPPAGE_H__6559AE93_69D0_11D2_9494_0008C7AA9033__INCLUDED_)
#define AFX_COMPCOMPPAGE_H__6559AE93_69D0_11D2_9494_0008C7AA9033__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// CompCompPage.h : header file
//

#include "compdata.h"

/////////////////////////////////////////////////////////////////////////////
// CCompCompPage dialog

class CCompCompPage : public CPropertyPage
{
	DECLARE_DYNCREATE(CCompCompPage)

// Construction
public:
	CCompCompPage();
	~CCompCompPage();

	void	UpdateCurveListbox();
	void	InitializeNextSet();	
	void	DisplayCompCompData();
	BOOL	LoadCompCompData();
	bool	InsertCompCompData();
	void	SetBusinessRules( );
	bool	ValidateCompPage( );

	int		m_settot;
	int		m_curset;
	CCompData* m_pCompData;


// Dialog Data
	//{{AFX_DATA(CCompCompPage)
	enum { IDD = IDD_COMP_COMP_PAGE };
	CListBox	m_complist;
	CButton	m_nextsetbutton;
	CButton	m_deletebutton;
	CNEdit	m_editcmpcom;
	CNEdit	m_editcmpnt;
	CNEdit	m_editcmptyp;
	CNEdit	m_editdumman;
	CNEdit	m_editdumsiz;
	CNEdit	m_editmoddsc;
	CNEdit	m_editmodind;
	CNEdit	m_editocctyp;
	BOOL	m_retaindata;
	CNEdit	m_editcmpwgt;
	CNEdit	m_editcmpno;
	CNEdit	m_editvehno;
	//}}AFX_DATA


// Overrides
	// ClassWizard generate virtual function overrides
	//{{AFX_VIRTUAL(CCompCompPage)
	public:
	virtual BOOL OnSetActive();
	virtual BOOL OnKillActive();
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	// Generated message map functions
	//{{AFX_MSG(CCompCompPage)
	afx_msg void OnCompcompCmpntsearch();
	afx_msg void OnCompcompCmptypsearch();
	afx_msg void OnCompcompModindsearch();
	afx_msg BOOL OnToolTipNotify(UINT, NMHDR *, LRESULT *);
	afx_msg void OnCompcompOcctypsearch();
	afx_msg void OnCompcompDumsizsearch();
	virtual BOOL OnInitDialog();
	afx_msg void OnDeleteButton();
	afx_msg void OnNextsetButton();
	afx_msg void OnSelchangeComplist();
	afx_msg BOOL OnHelpInfo(HELPINFO* pHelpInfo);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()

};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_COMPCOMPPAGE_H__6559AE93_69D0_11D2_9494_0008C7AA9033__INCLUDED_)
