#if !defined(AFX_COMPONENTPROPERTYSHEET_H__96CE0480_5893_11D2_9493_0008C7AA9033__INCLUDED_)
#define AFX_COMPONENTPROPERTYSHEET_H__96CE0480_5893_11D2_9493_0008C7AA9033__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000


#include "ChooseDB.h"
#include "CompTestPage.h"
#include "CompCompPage.h"
#include "CompConfPage.h"
#include "CompVehPage.h"
#include "CompInstPage.h"
#include "CompData.h"	// Added by ClassView
#include "HsvdPage.h"
//#include "FormatPrinting.h"

// ComponentPropertySheet.h : header file
//

const int ID_CLOSE=100;
/////////////////////////////////////////////////////////////////////////////
// CComponentPropertySheet

class CComponentPropertySheet : public CPropertySheet
{
	DECLARE_DYNAMIC(CComponentPropertySheet)

// Construction
public:
	CComponentPropertySheet(UINT nIDCaption, CWnd* pParentWnd = NULL, UINT iSelectPage = 0);
	CComponentPropertySheet(LPCTSTR pszCaption, CWnd* pParentWnd = NULL, UINT iSelectPage = 0);

// Attributes
public:
	CCompTestPage m_CompTestPage;
	CCompCompPage m_CompCompPage;
	CCompConfPage m_CompConfPage;
	CCompInstPage m_CompInstPage;
	CCompVehPage  m_CompVehPage;
	CHsvdPage	  m_HsvdPage;

	bool m_bValidate;

// Operations
public:
//	CPrintFormat* pFormat;
	CString GetPrinterDeviceName();
	CString GetPrintFileName();

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CComponentPropertySheet)
	public:
	virtual BOOL OnInitDialog();
	//}}AFX_VIRTUAL

// Implementation
public:
	CChooseDB* m_pParent;
	CCompData m_CompData;
	virtual ~CComponentPropertySheet();

	// Generated message map functions
protected:
	//{{AFX_MSG(CComponentPropertySheet)
	afx_msg void OnBiomechdb();
	afx_msg void OnSwgdb();
	afx_msg void OnVehicledb();
	afx_msg void OnClearall();
	afx_msg void OnExportTest();
	afx_msg void OnImportTest();
	afx_msg void OnImportHsvdData();
	afx_msg void OnExportHsvdData();
	afx_msg void OnExportHsvdReport();
	afx_msg void OnFilePrint();
	afx_msg void OnExit();
	afx_msg void OnExportReport();
	afx_msg void OnClose();
	afx_msg void OnHelpAbout();
	afx_msg void OnHelpIndex();
	afx_msg void OnInitMenuPopup(CMenu* pPopupMenu, UINT nIndex, BOOL bSysMenu);
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()

private:
	bool _bClearAll;
	void	ImportHsvdData(CString& strfile_in, bool bErrMsgResponse=true);
	void	ExportHsvdData();
	void	ExportHsvdReport();
};

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_COMPONENTPROPERTYSHEET_H__96CE0480_5893_11D2_9493_0008C7AA9033__INCLUDED_)
