#if !defined(AFX_SWGPROPERTYSHEET_H__96CE047C_5893_11D2_9493_0008C7AA9033__INCLUDED_)
#define AFX_SWGPROPERTYSHEET_H__96CE047C_5893_11D2_9493_0008C7AA9033__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "ChooseDB.h"
#include "SWGInstPage.h"
#include "SWGTestPage.h"
#include "HsvdPage.h"
// SWGPropertySheet.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CSWGPropertySheet

class CSWGPropertySheet : public CPropertySheet
{
	DECLARE_DYNAMIC(CSWGPropertySheet)

// Construction
public:
	CSWGPropertySheet(UINT nIDCaption, CWnd* pParentWnd = NULL, UINT iSelectPage = 0);
	CSWGPropertySheet(LPCTSTR pszCaption, CWnd* pParentWnd = NULL, UINT iSelectPage = 0);
	

// Attributes
public:
	CSWGInstPage m_SWGInstPage;
	CSWGTestPage m_SWGTestPage;
	CHsvdPage	 m_HsvdPage;

	CSWGData	 m_SWGData;

	CChooseDB*	 m_pParent;

// Operations
public:

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CSWGPropertySheet)
	public:
	virtual BOOL OnInitDialog();
	//}}AFX_VIRTUAL

// Implementation
public:
	CString GetPrinterDeviceName();
	CString GetPrintFileName();
	virtual ~CSWGPropertySheet();

	// Generated message map functions
protected:
	//{{AFX_MSG(CSWGPropertySheet)
	afx_msg void OnImportTest();
	afx_msg void OnExportTest();
	afx_msg void OnImportHsvdData();
	afx_msg void OnExportHsvdData();
	afx_msg void OnExportHsvdReport();
	afx_msg void OnBiomechdb();
	afx_msg void OnComponentdb();
	afx_msg void OnVehicledb();
	afx_msg void OnExit();
	afx_msg void OnClearall();
	afx_msg void OnFilePrint();
	afx_msg void OnExportReport();
	afx_msg void OnClose();
	afx_msg void OnHelpAbout();
	afx_msg void OnHelpIndex();
	afx_msg void OnInitMenuPopup(CMenu* pPopupMenu, UINT nIndex, BOOL bSysMenu);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()

private:
	bool _bClearAll;
	void	ImportHsvdData(CString& strfile_in, bool bErrMsgResponse=true);
	void	ExportHsvdData();
	void	ExportHsvdReport();
};

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_SWGPROPERTYSHEET_H__96CE047C_5893_11D2_9493_0008C7AA9033__INCLUDED_)
