#if !defined(AFX_VEHBARPAGE1_H__0278173B_6367_11D2_9493_0008C7AA9033__INCLUDED_)
#define AFX_VEHBARPAGE1_H__0278173B_6367_11D2_9493_0008C7AA9033__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "VehData.h"
#include "EditEx.h"
// VehBarPage.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CVehBarPage dialog

class CVehBarPage : public CPropertyPage
{
	DECLARE_DYNCREATE(CVehBarPage)

// Construction
public:
	void EnableControls();
	void DisplayVehBarData();
	bool ValidatePage( void );
	void SetBusinessRules( void );
	BOOL LoadVehBarData();
	CVehData * m_pVehData;
	CVehBarPage();
	~CVehBarPage();

// Dialog Data
	//{{AFX_DATA(CVehBarPage)
	enum { IDD = IDD_VEH_BAR_PAGE };
	CButton	m_barshpsearch;
	CNEdit	m_editbarshp;
	CNEdit	m_editbarcom;
	CNEdit	m_editbardia;
	CNEdit	m_editbarang;
	//}}AFX_DATA


// Overrides
	// ClassWizard generate virtual function overrides
	//{{AFX_VIRTUAL(CVehBarPage)
	public:
	virtual BOOL OnKillActive();
	virtual BOOL OnSetActive();
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	// Generated message map functions
	//{{AFX_MSG(CVehBarPage)
	afx_msg void OnVehbarBarshpsearch();
	afx_msg BOOL OnToolTipNotify(UINT, NMHDR *, LRESULT *);
	virtual BOOL OnInitDialog();
	afx_msg BOOL OnHelpInfo(HELPINFO* pHelpInfo);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()

};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_VEHBARPAGE1_H__0278173B_6367_11D2_9493_0008C7AA9033__INCLUDED_)
