#if !defined(AFX_VEHTESTPAGE_H__E351D311_594C_11D2_9493_0008C7AA9033__INCLUDED_)
#define AFX_VEHTESTPAGE_H__E351D311_594C_11D2_9493_0008C7AA9033__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "VehData.h"
#include "EditEx.h"
// VehTestPage.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CVehTestPage dialog

class CVehTestPage : public CPropertyPage
{
	DECLARE_DYNCREATE(CVehTestPage)

// Construction
public:
	void DisplayVehTestData();
	CVehData * m_pVehData;
	BOOL LoadVehTestData();
	bool ValidatePage( void );
	void SetBusinessRules( void );
	CVehTestPage();
	~CVehTestPage();

// Dialog Data
	//{{AFX_DATA(CVehTestPage)
	enum { IDD = IDD_VEH_TEST_PAGE };
	CNEdit	m_edittestdate;
	CDateTimeCtrl	m_tstdatctrl;
	CNEdit	m_editconno;
	CNEdit	m_link;
	CNEdit	m_rectyp;
	CNEdit	m_edittitle;
	CNEdit	m_tkcond;
	CNEdit	m_tksurf;
	CNEdit	m_totcrv;
	CNEdit	m_tstcfn;
	CNEdit	m_edittstcom;
	CNEdit	m_edittstobj;
	CNEdit	m_tstprf;
	CNEdit	m_edittstref;
	CNEdit	m_tsttyp;
	CNEdit	m_editverno;
	CNEdit	m_editclsspd;
	CNEdit	m_editimpang;
	CNEdit	m_edittemp;
	CNEdit	m_editoffset;
	CNEdit	m_editimppnt;
	//}}AFX_DATA


// Overrides
	// ClassWizard generate virtual function overrides
	//{{AFX_VIRTUAL(CVehTestPage)
	public:
	virtual BOOL OnKillActive();
	virtual BOOL OnSetActive();
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	// Generated message map functions
	//{{AFX_MSG(CVehTestPage)
	virtual BOOL OnInitDialog();
	afx_msg void OnVehtesttsttypSearch();
	afx_msg void OnVehtesttstcfnSearch();
	afx_msg void OnVehtestrectypSearch();
	afx_msg void OnVehtesttstprfSearch();
	afx_msg void OnVehtestlinkSearch();
	afx_msg void OnVehtesttksurfSearch();
	afx_msg void OnVehtesttkcondSearch();
	afx_msg BOOL OnHelpInfo(HELPINFO* pHelpInfo);
	afx_msg BOOL OnToolTipNotify(UINT, NMHDR *, LRESULT *);
	afx_msg void OnDatetimechangeVehtestTstdat(NMHDR* pNMHDR, LRESULT* pResult);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()

};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_VEHTESTPAGE_H__E351D311_594C_11D2_9493_0008C7AA9033__INCLUDED_)
